package io.prlab.prule.repositories;

import io.prlab.prule.entity.AppUser;

import java.util.Optional;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;

@RepositoryRestResource
public interface AppUserRepository extends CrudRepository<AppUser, Long> {
    Optional<AppUser> findByUsername (String username);

    Iterable<AppUser> findAll();
}
